Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl.result
Interface ResultHandler

All Known Implementing Classes:
  DefaultSerializer, DOMResultHandler, FragmentHandler, HTMLSerializer, SAXResultHandler, TextResultHandler, TextSerializer, XMLSerializer

    public interface ResultHandler

The interface through which result trees are built. This interface resembles the `org.xml.sax.DocumentHandler` interface defined by SAX, but the specifics correspond to XSL.

Method Summary
`void` | `attribute(String name, String value)` Receive notification of an attribute.
`void` | `characters(String data)` Receive notification of character data.
`void` | `comment(String value)` Receive notification of a comment.
`void` | `endDocument()` Receive notification of the end of a document.
`void` | `endElement(String name)` Receive notification of the end of an element.
`void` | `namespace(String name, NamespaceName value)` Receive notification of a namespace node.
`void` | `processingInstruction(String target, String value)` Receive notification of a processing instruction.
`void` | `startDocument()` Receive notification of the beginning of a document.
`void` | `startElement(String name, String namespaceURI)` Receive notification of the beginning of an element.

Method Detail

### startDocument

    void startDocument()
                       throws ResultException

  Receive notification of the beginning of a document.

  Throws:
    `ResultException` - if an implementation-dependent error occurs

### endDocument

    void endDocument()
                     throws ResultException

  Receive notification of the end of a document.

  Throws:
    `ResultException` - if an implementation-dependent error occurs

### startElement

    void startElement(String name,
                      String namespaceURI)
                      throws IllegalNameException,
                             IllegalNodeException,
                             ResultException

  Receive notification of the beginning of an element.

  Parameters:
    `name` - the element's name
    `namespaceURI` - the element's namespace uri
  Throws:
    `IllegalNameException` - if the specified element name is illegal
    `IllegalNodeException` - if the current node cannot contain elements
    `ResultException` - if an implementation-dependent error occurs

### endElement

    void endElement(String name)
                    throws ResultException

  Receive notification of the end of an element.

  Throws:
    `ResultException` - if an implementation-dependent error occurs

### attribute

    void attribute(String name,
                   String value)
                   throws AttributeAfterChildException,
                          IllegalNameException,
                          IllegalNodeException,
                          ResultException

  Receive notification of an attribute.

  Parameters:
    `name` - the attribute's name
    `value` - the attribute's value
  Throws:
    `AttributeAfterChildException` - if the current node is an element with children (attributes cannot be added to an element after children have been added to it)
    `IllegalNameException` - if the specified attribute name is illegal
    `IllegalNodeException` - if the current node is not an element
    `ResultException` - if an implementation-dependent error occurs

### characters

    void characters(String data)
                    throws IllegalNodeException,
                           ResultException

  Receive notification of character data.

  Parameters:
    `data` - the character data
  Throws:
    `IllegalNodeException` - if the current node cannot contain character data
    `ResultException` - if an implementation-dependent error occurs

### processingInstruction

    void processingInstruction(String target,
                               String value)
                               throws IllegalNameException,
                                      IllegalNodeException,
                                      ResultException

  Receive notification of a processing instruction.

  Parameters:
    `target` - the processing instruction's target
    `value` - the processing instruction's value, or `null` if there is no value
  Throws:
    `IllegalNameException` - if the specified target name is illegal
    `IllegalNodeException` - if the current node cannot contain processing instructions
    `ResultException` - if an implementation-dependent error occurs

### comment

    void comment(String value)
                 throws IllegalNodeException,
                        ResultException

  Receive notification of a comment.

  Parameters:
    `value` - the comment's value
  Throws:
    `IllegalNodeException` - if the current node cannot contain comments
    `ResultException` - if an implementation-dependent error occurs

### namespace

    void namespace(String name,
                   NamespaceName value)
                   throws IllegalNodeException,
                          ResultException

  Receive notification of a namespace node. An implementation should keep track of what namespace attributes are in scope in the xml representation to avoid placing redundant attributes on elements.

  Parameters:
    `name` - the namespace prefix
    `value` - the namespace name (URI)
  Throws:
    `IllegalNodeException` - if the current node cannot contain namespaces
    `ResultException` - if an implementation-dependent error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD